<?php

	$idcontratto = save($_GET['idcontratto']);
	
	
	$q = "SELECT * from co_contratti WHERE id='".$idcontratto."'";
	
	$rscontrattii = $dbo->fetchArray( $q );
	$idcliente = $rscontrattii[0]['idanagrafica'];

	//carica report html
	$report = file_get_contents ($docroot."/templates/contratti_storico/contratti_storico.html");
	$body = file_get_contents ($docroot."/templates/contratti_storico/contratti_storico_body.html");
	
	include_once( "pdfgen_variables.php" );


	//Sostituisco i valori tra | | con il valore del campo del db
	$body .= preg_replace( "/|(.+?)|/", $rscontrattii[0]['${1}'], $body );
	

	$body .= "<table  class='table_values' border='0' cellpadding='0'>\n";
	$body .= "<tr><td align=\"left\" width='356' style='border:0px;'>\n";
	$body .= " \n";
	$body .= "</td>\n";
	$body .= "<td align=\"left\" width='356' >\n";
	
	
	if ($c_cap!=""){
		$c_cap = $c_cap." ";
	}
	
	if ($c_provincia!=""){
		$c_provincia = " (".$c_provincia.")";
	}
	
	$body .= "<big style=\"line-height:5mm\" >Spettabile<br/><b>".$c_ragionesociale."<br>".$c_indirizzo."<br>".$c_cap.$c_citta.$c_provincia."<br> P.Iva: ".$c_piva."</b></big>\n";
	$body .= "</td>\n";
	$body .= "</tr>\n";

	
	
	$body .= "<tr><td align=\"left\" colspan=\"2\" style='border:0px;'>\n";
	$body .= "<big><b>Situazione:  ".$rscontrattii[0]['nome']." N<sup>o</sup> ".$rscontrattii[0]['numero']." DEL ".date("d/m/Y", strtotime( $rscontrattii[0]['data_bozza']) )."</b><br></big>\n";
	
	$body .= "</td>\n";
	$body .= "</tr>\n";
	

	
	$body .= "</table>\n";
	
	
	// situazione riepilogo
	
	$rs_contratto = $dbo->fetchArray("SELECT id_tipocanone FROM co_contratti WHERE id=\"".$idcontratto."\"");		
	$id_tipocontratto=$rs_contratto[0]['id_tipocanone'];
	$q = "SELECT * FROM `co_contratti_tipi_righe_qta` WHERE idtipocontratto='".$rs_contratto[0]['id_tipocanone']."' ORDER BY ordine";
	$rs = $dbo->fetchArray( $q );
	$tot = sizeof($rs);
	

	$body .= "<table  class='table_values' border='0' cellpadding='0'>\n";
	$body .= "<col width='385'><col width='90'><col width='100'><col width='90'>\n";
	$body .= "<thead>\n";
	$body .= "<tr><th width='385'>Descrizione</th>\n";
	$body .= "<th width='90' align='center'>Qta Canone</th>\n";
	$body .= "<th width='100' align='center'>Qta Consumata</th>\n";
	$body .= "<th width='90' align='center'>Qta Residua</th></tr>\n";
	$body .= "</thead>\n";
	$body .= "<tbody>\n";

	for( $i=0; $i<$tot; $i++ ){
	
		//articolo
		$body .= "<tr>\n";

		$body .= "<td align='left' valign='top'>".$rs[$i]['descrizione']."</td>\n";
		
		//Q.tà
		$body .= "<td align='center' valign='top'>".number_format( $rs[$i]['qta'], get_var("Cifre decimali"), ",", "." )."</td>\n";

		$qta_consumata=cerca_canone_qta($idcontratto,$rs[$i]['idarticolo']);			
		if( $qta_consumata > $rs[$i]['qta']  ){
			$qta_consumata = $rs[$i]['qta'] ;
		}
		
		$body .= "<td align='center' valign='top'>".number_format( $qta_consumata, get_var("Cifre decimali"), ",", "." )."</td>\n";
	
		if( ($rs[$i]['qta'] - $qta_consumata ) == 0  ){
			$body .= "<td align='left' valign='top'>ESAURITO</td>\n";
		} else{
			$body .= "<td align='center' valign='top'>".number_format( ($rs[$i]['qta'] - $qta_consumata ), get_var("Cifre decimali"), ",", "." )."</td>\n";
		}	
		$body .= "</tr>\n";		
		
	}
	$body .= "</tbody>\n";
	$body .= "</table><br/><br/>\n";
	
	
// attività svolta	
	
	
	$rs_contratto = $dbo->fetchArray("SELECT id_tipocanone FROM co_contratti WHERE id=\"".$idcontratto."\"");		
	$id_tipocontratto=$rs_contratto[0]['id_tipocanone'];
	$q = "SELECT * FROM `co_righe_documenti` WHERE idcontratto='".$idcontratto."' and riga_canone='1'";
	$rs = $dbo->fetchArray( $q );
	$tot = sizeof($rs);
	

	$body .= "<table  class='table_values' border='0' cellpadding='0'>\n";
	$body .= "<col width='270'><col width='250'><col width='70'><col width='75'>\n";
	$body .= "<thead>\n";
	$body .= "<tr><th width='270'>Documento</th>\n";
	$body .= "<th width='250' align='center'>Articolo</th>\n";
	$body .= "<th width='70' align='center'>Data</th>\n";
	$body .= "<th width='75' align='center'>Utilizzato</th></tr>\n";
	$body .= "</thead>\n";
	$body .= "<tbody>\n";

	for( $i=0; $i<$tot; $i++ ){
		if( $rs[$i]['idarticolo'] != 0 ){
			$rw_transazione = $dbo->fetchArray( "select  *  from co_documenti where id='".$rs[$i]['iddocumento']."'  ");		
			$descrizione=get_var_tipodoc2($rs[$i]['iddocumento'],"descrizione");						
			$date_added=$rw_transazione[0]['data'];			
			list($date,$hora)=explode(" ",$date_added);
			list($Y,$m,$d)=explode("-",$date);
			$data=$d."-".$m."-".$Y;	
			//articolo
			$body .= "<tr>\n";
		//	$body .= "<td align='left' valign='top'>".$rw_transazione[0]['numero_documento']." - ".$descrizione."</td>\n";	
			$body .= "<td align='left' valign='top'>".$rw_transazione[0]['numero_documento']."</td>\n";				
			$body .= "<td align='left' valign='top'>".$rs[$i]['descrizione']."</td>\n";
			$body .= "<td align='center' valign='top'>".$data."</td>\n";			
			$qta_consumata=cerca_canone_qta($id_contratto,$rs[$i]['idarticolo']);			
			if( $qta_consumata > $rs[$i]['qta']  ){
				$qta_consumata = $rs[$i]['qta'] ;
			}			
			$body .= "<td align='center' valign='top'>".number_format( ($rs[$i]['qta'] - $qta_consumata ), get_var("Cifre decimali"), ",", "." )."</td>\n";			
			$body .= "</tr>\n";		
		}	
	
	}
	$body .= "</tbody>\n";
	$body .= "</table><br/><br/>\n";
	

	$report_name = "riepilogo_contratto_".$idcontratto.".pdf";
?>
